<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.steerinfo.ems.emsscqklg.mapper.LgRealMapper">
    <resultMap id="BaseResultMap" type="com.steerinfo.ems.emsscqklg.model.LgReal">
        <id column="ALTID" jdbcType="VARCHAR" property="altId"/>
<!--        <id column="TSRCL" jdbcType="VARCHAR" property="rcl"/>-->
<!--        <id column="ZT" jdbcType="VARCHAR" property="zt"/>-->
        <id column="ENG" jdbcType="VARCHAR" property="eng"/>
<!--        <id column="GPYLJ" jdbcType="VARCHAR" property="gpYlj"/>-->
<!--        <id column="GPNLJ" jdbcType="VARCHAR" property="gpNlj"/>-->
<!--        <id column="TSYLJ" jdbcType="VARCHAR" property="tsYlj"/>-->
<!--        <id column="TSNLJ" jdbcType="VARCHAR" property="tsYlj"/>-->
    </resultMap>
    <select id="QueryLgReals"  resultMap="BaseResultMap" >
        SELECT ALTID, ENG
        FROM JYMES.V_EMS_LG_BOF01 UNPIVOT (	ENG FOR ALTID IN (
        LG_MES_1ZL_REAL021, LG_MES_1ZL_REAL022, LG_MES_1ZL_REAL023, LG_MES_1ZL_REAL024, LG_MES_1ZL_REAL026, LG_MES_1ZL_REAL027, LG_MES_1ZL_REAL028, LG_MES_1ZL_REAL029, LG_MES_1ZL_REAL030, LG_MES_1ZL_REAL031, LG_MES_1ZL_REAL032, LG_MES_1ZL_REAL033, LG_MES_1ZL_REAL034, LG_MES_1ZL_REAL035, LG_MES_1ZL_REAL036, LG_MES_1ZL_REAL037, LG_MES_1ZL_REAL038, LG_MES_1ZL_REAL039, LG_MES_1ZL_REAL040, LG_MES_1ZL_REAL041, LG_MES_1ZL_REAL042, LG_MES_1ZL_REAL043, LG_MES_1ZL_REAL044, LG_MES_1ZL_REAL045, LG_MES_1ZL_REAL046, LG_MES_1ZL_REAL047, LG_MES_1ZL_REAL048, LG_MES_1ZL_REAL049 ))
    </select>
</mapper>